View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001772aMulepublic2016-10-05 07:032016-10-29 09:17
Reporterlxpert 
Assigned To 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformlinuxOSUbuntuOS Version16.04
Product Version2.3.2 
Target VersionFixed in Version 
Summary0001772: Crash with failed assertion: assert "contactVersion >= 2" failed in Process2HelloRequest
DescriptionI let aMule run over night, in the morning I saw that it had crashed. The following backtrace was written:

ASSERT INFO:
../../src/kademlia/net/KademliaUDPListener.cpp(527): assert "contactVersion >= 2" failed in Process2HelloRequest().

BACKTRACE:
[1] wxOnAssert(char const*, int, char const*, char const*, char const*)
[2] CryptoPP::IteratedHash<unsigned int, CryptoPP::EnumToType<CryptoPP::ByteOrder, 0>, 64u, CryptoPP::HashTransformation>::DataBuf()
[3] CryptoPP::IteratedHash<unsigned int, CryptoPP::EnumToType<CryptoPP::ByteOrder, 0>, 64u, CryptoPP::HashTransformation>::DataBuf()
[4] std::vector<unsigned short, std::allocator<unsigned short> >::_M_insert_aux(__gnu_cxx::__normal_iterator<unsigned short*, std::vector<unsigned short, std::allocator<unsigned short> > >, unsigned short const&)
[5] non-virtual thunk to CryptoPP::PK_FinalTemplate<CryptoPP::TF_SignerImpl<CryptoPP::TF_SignatureSchemeOptions<CryptoPP::TF_SS<CryptoPP::PKCS1v15, CryptoPP::SHA1, CryptoPP::RSA, int>, CryptoPP::RSA, CryptoPP::PKCS1v15_SignatureMessageEncodingMethod, CryptoPP::SHA1> > >::~PK_FinalTemplate()
[6] std::vector<unsigned short, std::allocator<unsigned short> >::_M_insert_aux(__gnu_cxx::__normal_iterator<unsigned short*, std::vector<unsigned short, std::allocator<unsigned short> > >, unsigned short const&)
[7] non-virtual thunk to CryptoPP::PK_FinalTemplate<CryptoPP::TF_SignerImpl<CryptoPP::TF_SignatureSchemeOptions<CryptoPP::TF_SS<CryptoPP::PKCS1v15, CryptoPP::SHA1, CryptoPP::RSA, int>, CryptoPP::RSA, CryptoPP::PKCS1v15_SignatureMessageEncodingMethod, CryptoPP::SHA1> > >::~PK_FinalTemplate()
[8] wxAppConsoleBase::CallEventHandler(wxEvtHandler*, wxEventFunctor&, wxEvent&) const
[9] wxEvtHandler::ProcessEventIfMatchesId(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&)
[10] wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*)
[11] wxEvtHandler::TryHereOnly(wxEvent&)
[12] wxEvtHandler::ProcessEventLocally(wxEvent&)
[13] wxEvtHandler::ProcessEvent(wxEvent&)
[14] wxEvtHandler::ProcessPendingEvents()
[15] wxAppConsoleBase::ProcessPendingEvents()
[16] wxApp::DoIdle()
[17] g_main_context_dispatch
[18] g_main_loop_run
[19] gtk_main
[20] wxGUIEventLoop::DoRun()
[21] wxEventLoopBase::Run()
[22] wxAppConsoleBase::MainLoop()
[23] wxEntry(int&, wchar_t**)
[24] __libc_start_main
TagsNo tags attached.
Fixed in Revision
Operating SystemUbuntu Linux 16.04
Attached Files

- Relationships

-  Notes
(0003698)
GonoszTopi (administrator)
2016-10-18 02:25

Please make sure you're running the correct binary.
(0003699)
lxpert (reporter)
2016-10-18 20:23

I don't understand. How can I be running not "the correct binary"? What options are there? I'm running /usr/bin/amule. Are there any indications that I am NOT running the correct one? My amule runs for multiple hours until eventually there is this GUI dialog popping up which the failed assertion. To me it looks very much like a problem with the application.
(0003700)
GonoszTopi (administrator)
2016-10-29 09:17

I'm sorry for the confusion, you wrote you're using aMule-2.3.2. The version shipped with Ubuntu 16.04 is a one year old development snapshot from well before the 2.3.2 release, and does not yet include the fix for the bug you experience.

- Issue History
Date Modified Username Field Change
2016-10-05 07:03 lxpert New Issue
2016-10-18 02:25 GonoszTopi Note Added: 0003698
2016-10-18 02:25 GonoszTopi Status new => closed
2016-10-18 02:25 GonoszTopi Resolution open => no change required
2016-10-18 20:23 lxpert Note Added: 0003699
2016-10-18 20:23 lxpert Status closed => feedback
2016-10-18 20:23 lxpert Resolution no change required => reopened
2016-10-29 09:17 GonoszTopi Note Added: 0003700
2016-10-29 09:17 GonoszTopi Status feedback => closed
2016-10-29 09:17 GonoszTopi Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker